Bug 1569297 (CVE-2018-10184) - CVE-2018-10184 haproxy: Heap buffer overflow in mux_h2.c:h2_process_demux() can allow attackers to cause a denial of service
Summary: CVE-2018-10184 haproxy: Heap buffer overflow in mux_h2.c:h2_process_demux() c...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-10184
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1569643 1569660 1569661 1569662 1569783 1569807 1569808
Blocks: 1569301
TreeView+ depends on / blocked
 
Reported: 2018-04-19 00:43 UTC by Sam Fowler
Modified: 2020-04-20 12:55 UTC (History)
17 users (show)

Fixed In Version: haproxy 1.8.8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:20:09 UTC


Attachments (Terms of Use)
Upstream patch (1.84 KB, patch)
2018-04-19 00:55 UTC, Sam Fowler
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1372 0 None None None 2018-05-14 09:12:14 UTC

Description Sam Fowler 2018-04-19 00:43:43 UTC
HAProxy 1.8.x before version 1.8.8 is vulnerable to a heap-based buffer overflow in the mux_h2.c:h2_process_demux() function. A remote attacker could exploit this to overflow the heap by 16kb to cause a denial of service or other potential unspecified impact.

Comment 1 Sam Fowler 2018-04-19 00:55:25 UTC
Created attachment 1423836 [details]
Upstream patch

Comment 6 Kurt Seifried 2018-04-19 16:14:00 UTC
This is now public, upstream reference:

https://www.haproxy.org/download/1.8/src/CHANGELOG

Comment 14 Doran Moppert 2018-04-20 01:52:57 UTC
This flaw is present in HTTP/2 functionality, which does not exist in haproxy-1.5 as distributed in Red Hat Enterprise Linux 7 and Red Hat Enterprise Linux 6.

Comment 20 Adam Mariš 2018-05-10 06:59:24 UTC
Rejecting CVE-2018-1119 in favour of CVE-2018-10184 that Mitre assigned.

Comment 21 errata-xmlrpc 2018-05-14 09:12:03 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.3 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS

Via RHSA-2018:1372 https://access.redhat.com/errata/RHSA-2018:1372


Note You need to log in before you can comment on or make changes to this bug.